## org.eclipse.emf.compare.diff.metamodel.impl
Class UpdateModelElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.compare.diff.metamodel.impl.DiffElementImpl
                      org.eclipse.emf.compare.diff.metamodel.impl.ModelElementChangeImpl
                          org.eclipse.emf.compare.diff.metamodel.impl.UpdateModelElementImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, DiffElement, ModelElementChange, UpdateModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  MoveModelElementImpl

    public class UpdateModelElementImpl

extends ModelElementChangeImpl
implements UpdateModelElement

An implementation of the model object 'Update Model Element'.

The following features are implemented:

- `Right Element`
- `Left Element`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.ecore.EObject` `leftElement` The cached value of the '`Left Element`' reference.
`protected org.eclipse.emf.ecore.EObject` `rightElement` The cached value of the '`Right Element`' reference.

Fields inherited from class org.eclipse.emf.compare.diff.metamodel.impl.DiffElementImpl
`conflicting, CONFLICTING_EDEFAULT, isHiddenBy, kind, KIND_EDEFAULT, remote, REMOTE_EDEFAULT, subDiffElements`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `UpdateModelElementImpl()`

Method Summary
`org.eclipse.emf.ecore.EObject` `basicGetLeftElement()`
`org.eclipse.emf.ecore.EObject` `basicGetRightElement()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.ecore.EObject` `getLeftElement()`
`org.eclipse.emf.ecore.EObject` `getRightElement()`
`void` `setLeftElement(org.eclipse.emf.ecore.EObject newLeftElement)`
`void` `setRightElement(org.eclipse.emf.ecore.EObject newRightElement)`

Methods inherited from class org.eclipse.emf.compare.diff.metamodel.impl.DiffElementImpl
`eInverseAdd, eInverseRemove, getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### rightElement

    protected org.eclipse.emf.ecore.EObject rightElement

  The cached value of the '`Right Element`' reference.

  See Also:
    `getRightElement()`

### leftElement

    protected org.eclipse.emf.ecore.EObject leftElement

  The cached value of the '`Left Element`' reference.

  See Also:
    `getLeftElement()`

Constructor Detail

### UpdateModelElementImpl

    protected UpdateModelElementImpl()

Method Detail

### basicGetLeftElement

    public org.eclipse.emf.ecore.EObject basicGetLeftElement()

### basicGetRightElement

    public org.eclipse.emf.ecore.EObject basicGetRightElement()

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `DiffElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `DiffElementImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `DiffElementImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `DiffElementImpl`

### getLeftElement

    public org.eclipse.emf.ecore.EObject getLeftElement()

  Specified by:
    `getLeftElement` in interface `UpdateModelElement`
  Returns:
    the value of the 'Left Element' reference.
  See Also:
    `UpdateModelElement.setLeftElement(EObject)`, `DiffPackage.getUpdateModelElement_LeftElement()`

### getRightElement

    public org.eclipse.emf.ecore.EObject getRightElement()

  Specified by:
    `getRightElement` in interface `UpdateModelElement`
  Returns:
    the value of the 'Right Element' reference.
  See Also:
    `UpdateModelElement.setRightElement(EObject)`, `DiffPackage.getUpdateModelElement_RightElement()`

### setLeftElement

    public void setLeftElement(org.eclipse.emf.ecore.EObject newLeftElement)

  Specified by:
    `setLeftElement` in interface `UpdateModelElement`
  Parameters:
    `newLeftElement` - the new value of the 'Left Element' reference.
  See Also:
    `UpdateModelElement.getLeftElement()`

### setRightElement

    public void setRightElement(org.eclipse.emf.ecore.EObject newRightElement)

  Specified by:
    `setRightElement` in interface `UpdateModelElement`
  Parameters:
    `newRightElement` - the new value of the 'Right Element' reference.
  See Also:
    `UpdateModelElement.getRightElement()`

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ModelElementChangeImpl`

Copyright 2006 IBM Corporation and others. All Rights Reserved.